aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--bash/bash_completion.d/tail.bash3
-rw-r--r--bash/bash_completion.d/vi.bash3
-rw-r--r--bash/bash_completion.d/view.bash3
-rw-r--r--bash/bash_completion.d/vim.bash3
4 files changed, 8 insertions, 4 deletions
diff --git a/bash/bash_completion.d/tail.bash b/bash/bash_completion.d/tail.bash
index e80f40a5..6fe56e29 100644
--- a/bash/bash_completion.d/tail.bash
+++ b/bash/bash_completion.d/tail.bash
@@ -1,4 +1,5 @@
# Completion for tail(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames tail
diff --git a/bash/bash_completion.d/vi.bash b/bash/bash_completion.d/vi.bash
index 728be438..5dd35dc1 100644
--- a/bash/bash_completion.d/vi.bash
+++ b/bash/bash_completion.d/vi.bash
@@ -1,4 +1,5 @@
# Completion for vi(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames vi
diff --git a/bash/bash_completion.d/view.bash b/bash/bash_completion.d/view.bash
index e228500f..7709b068 100644
--- a/bash/bash_completion.d/view.bash
+++ b/bash/bash_completion.d/view.bash
@@ -1,4 +1,5 @@
# Completion for view(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames view
diff --git a/bash/bash_completion.d/vim.bash b/bash/bash_completion.d/vim.bash
index 02d085d1..7b9ba027 100644
--- a/bash/bash_completion.d/vim.bash
+++ b/bash/bash_completion.d/vim.bash
@@ -1,4 +1,5 @@
# Completion for vim(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames vim